import java.awt.*;
import java.util.*;
import java.applet.*;

class Move6 extends Thread
{
    Ball ball;
    Applet applet;
    boolean move;

    public Move6(Ball b,Applet a,boolean m){ ball = b; applet = a; move = m; }
    public void run(){
	    for(;;){
	       synchronized(ball){
              if (move == Ball.SINE) ball.sine(); else ball.cosine();
		      applet.paint(applet.getGraphics());
		      ball.notify();	
		      try{ball.wait();}catch(Exception e){System.out.println(e);}	
		   }   
		}
    }
}

public class SinCos6 extends DoubleBufferedApplet
{
   Ball ball = new Ball(startx,starty);

   public void paint(Graphics g) { super.paint(g); ball.paint(g,Color.red); }
    
    void circle(Ball ball){
       new Move6(ball,this,Ball.SINE).start();
	   new Move6(ball,this,Ball.COSINE).start();
    }
    
    public void init(){
	   circle(ball);
	   new Move6(ball,this,Ball.COSINE).start();
    }
}